# FoundationClasses
TKernel
Message

# Message_ListOfMsg Class Reference

`#include <Message_ListOfMsg.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Message_ListOfMsg ()
Standard_EXPORT void | Assign (const Message_ListOfMsg &Other)
void | operator= (const Message_ListOfMsg &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~Message_ListOfMsg ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Message_Msg &I)
Standard_EXPORT void | Prepend (const Message_Msg &I, Message_ListIteratorOfListOfMsg &theIt)
Standard_EXPORT void | Prepend (Message_ListOfMsg &Other)
Standard_EXPORT void | Append (const Message_Msg &I)
Standard_EXPORT void | Append (const Message_Msg &I, Message_ListIteratorOfListOfMsg &theIt)
Standard_EXPORT void | Append (Message_ListOfMsg &Other)
Standard_EXPORT Message_Msg & | First () const
Standard_EXPORT Message_Msg & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (Message_ListIteratorOfListOfMsg &It)
Standard_EXPORT void | InsertBefore (const Message_Msg &I, Message_ListIteratorOfListOfMsg &It)
Standard_EXPORT void | InsertBefore (Message_ListOfMsg &Other, Message_ListIteratorOfListOfMsg &It)
Standard_EXPORT void | InsertAfter (const Message_Msg &I, Message_ListIteratorOfListOfMsg &It)
Standard_EXPORT void | InsertAfter (Message_ListOfMsg &Other, Message_ListIteratorOfListOfMsg &It)

## Private Member Functions

Standard_EXPORT | Message_ListOfMsg (const Message_ListOfMsg &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT Message_ListOfMsg::Message_ListOfMsg | ( |  | ) |

Message_ListOfMsg::~Message_ListOfMsg | ( |  | ) | `[inline]`

Standard_EXPORT Message_ListOfMsg::Message_ListOfMsg | ( | const Message_ListOfMsg & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Message_ListOfMsg::Append | ( | Message_ListOfMsg & | Other | ) |

Standard_EXPORT void Message_ListOfMsg::Append | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | theIt
| ) |

Standard_EXPORT void Message_ListOfMsg::Append | ( | const Message_Msg & | I | ) |

Standard_EXPORT void Message_ListOfMsg::Assign | ( | const Message_ListOfMsg & | Other | ) |

Standard_EXPORT void Message_ListOfMsg::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer Message_ListOfMsg::Extent | ( |  | ) | const

Standard_EXPORT Message_Msg& Message_ListOfMsg::First | ( |  | ) | const

Standard_EXPORT void Message_ListOfMsg::InsertAfter | ( | Message_ListOfMsg & | Other,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |

Standard_EXPORT void Message_ListOfMsg::InsertAfter | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |

Standard_EXPORT void Message_ListOfMsg::InsertBefore | ( | Message_ListOfMsg & | Other,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |

Standard_EXPORT void Message_ListOfMsg::InsertBefore | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |

Standard_Boolean Message_ListOfMsg::IsEmpty | ( |  | ) | const

Standard_EXPORT Message_Msg& Message_ListOfMsg::Last | ( |  | ) | const

void Message_ListOfMsg::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Message_ListOfMsg::operator new | ( | size_t | size | ) | `[inline]`

void* Message_ListOfMsg::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Message_ListOfMsg::operator= | ( | const Message_ListOfMsg & | Other | ) | `[inline]`

Standard_EXPORT void Message_ListOfMsg::Prepend | ( | Message_ListOfMsg & | Other | ) |

Standard_EXPORT void Message_ListOfMsg::Prepend | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | theIt
| ) |

Standard_EXPORT void Message_ListOfMsg::Prepend | ( | const Message_Msg & | I | ) |

Standard_EXPORT void Message_ListOfMsg::Remove | ( | Message_ListIteratorOfListOfMsg & | It | ) |

Standard_EXPORT void Message_ListOfMsg::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address Message_ListOfMsg::myFirst `[private]`

Standard_Address Message_ListOfMsg::myLast `[private]`

The documentation for this class was generated from the following file:

- Message_ListOfMsg.hxx